Skip to main content

MSME Registration - Batch APIs

Retrieve paginated MSME verification data indicating whether entities are registered under Udyam/Udyog or not registered.

Authentication and Order Setup

Before calling this API:

  1. Refer to the Authentication section to obtain a valid sessionID.
  2. Refer to the Create Order API documentation to create an order and obtain the corresponding order_id.

Note: Use the sessionID as the Bearer token for authentication and the order_id as a query parameter for this endpoint.

Endpoint

GET https://micro.signalx.ai/micro-check-api/msme/v2/get_msme_verification_data
Authorization: Bearer <your_jwt_token>

Query parameters

ParameterTypeRequiredDescription
order_idStringYesUnique identifier of order.
pageIntegerYesPage number (1‑indexed).
page_sizeIntegerYesRecords per page.

Example item

{
"Pan": "AAAAC0268P",
"Status": "Not Registered"
}

cURL Example

curl --location 'https://micro.signalx.ai/micro-check-api/msme/v2/get_msme_verification_data?order_id=3d73bea2-ec1c-4a21-9876-abc123def456&page=1&page_size=100' \
--header 'Authorization: Bearer <JWT_TOKEN>'

Sample Response

{
"status_code": 200,
"total": 5000,
"total_pages": 50,
"data": [
{ "Pan": "AAAAC0268P", "Status": "Not Registered" },
{ "Pan": "ABACS6684C", "Status": "Udyam Registered" }
],
"message": "Success"
}

Possible Status values: Not Registered, Udyog Registered, Udyam Registered.